Skip to main content
GET
/
workspaces
/
{workspace_id}
/
cases
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "short_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "summary": "<string>",
      "dropdown_values": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_ref": "<string>",
          "definition_name": "<string>",
          "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "option_label": "<string>",
          "option_ref": "<string>",
          "option_icon_name": "<string>",
          "option_color": "<string>"
        }
      ],
      "assignee": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "settings": {},
        "is_active": true,
        "is_superuser": false,
        "is_verified": false,
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "ref": "<string>",
          "color": "<string>"
        }
      ],
      "rows": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "table_name": "<string>",
          "row_data": {},
          "is_row_available": true
        }
      ],
      "durations": [
        {
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "start_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "end_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "started_at": "2023-11-07T05:31:56Z",
          "ended_at": "2023-11-07T05:31:56Z",
          "duration": "<string>"
        }
      ],
      "field_values": {},
      "payload": {},
      "num_tasks_completed": 0,
      "num_tasks_total": 0
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "has_more": false,
  "has_previous": false,
  "total_estimate": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

limit
integer
default:20

Maximum items per page

Required range: 1 <= x <= 200
cursor
string | null

Cursor for pagination

reverse
boolean
default:false

Reverse pagination direction

order_by
enum<string> | null

Column name to order by (e.g. created_at, updated_at, priority, severity, status, tasks). Default: created_at

Available options:
created_at,
updated_at,
priority,
severity,
status,
tasks
sort
enum<string> | null

Direction to sort (asc or desc)

Available options:
asc,
desc
include_rows
boolean
default:false

Include linked table rows

field_ids
string[] | null

Include only the requested custom field IDs

include_durations
boolean
default:false

Include case duration values

include_payload
boolean
default:false

Include case payload

Response

Successful Response

items
CaseReadMinimal · object[]
required
next_cursor
string | null

Cursor for next page

prev_cursor
string | null

Cursor for previous page

has_more
boolean
default:false

Whether more items exist

has_previous
boolean
default:false

Whether previous items exist

total_estimate
integer | null

Estimated total count from table statistics